/* roboto-300 - latin_latin-ext */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Roboto';
  font-style: normal;
  font-weight: 300;
  src: url('../fonts/roboto-v51-latin_latin-ext-300.woff2') format('woff2'), /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
       url('../fonts/roboto-v51-latin_latin-ext-300.ttf') format('truetype'); /* Chrome 4+, Firefox 3.5+, IE 9+, Safari 3.1+, iOS 4.2+, Android Browser 2.2+ */
}

/* roboto-300italic - latin_latin-ext */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Roboto';
  font-style: italic;
  font-weight: 300;
  src: url('../fonts/roboto-v51-latin_latin-ext-300italic.woff2') format('woff2'), /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
       url('../fonts/roboto-v51-latin_latin-ext-300italic.ttf') format('truetype'); /* Chrome 4+, Firefox 3.5+, IE 9+, Safari 3.1+, iOS 4.2+, Android Browser 2.2+ */
}

/* roboto-regular - latin_latin-ext */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Roboto';
  font-style: normal;
  font-weight: 400;
  src: url('../fonts/roboto-v51-latin_latin-ext-regular.woff2') format('woff2'), /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
       url('../fonts/roboto-v51-latin_latin-ext-regular.ttf') format('truetype'); /* Chrome 4+, Firefox 3.5+, IE 9+, Safari 3.1+, iOS 4.2+, Android Browser 2.2+ */
}

/* roboto-italic - latin_latin-ext */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Roboto';
  font-style: italic;
  font-weight: 400;
  src: url('../fonts/roboto-v51-latin_latin-ext-italic.woff2') format('woff2'), /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
       url('../fonts/roboto-v51-latin_latin-ext-italic.ttf') format('truetype'); /* Chrome 4+, Firefox 3.5+, IE 9+, Safari 3.1+, iOS 4.2+, Android Browser 2.2+ */
}

/* roboto-500 - latin_latin-ext */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Roboto';
  font-style: normal;
  font-weight: 500;
  src: url('../fonts/roboto-v51-latin_latin-ext-500.woff2') format('woff2'), /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
       url('../fonts/roboto-v51-latin_latin-ext-500.ttf') format('truetype'); /* Chrome 4+, Firefox 3.5+, IE 9+, Safari 3.1+, iOS 4.2+, Android Browser 2.2+ */
}

/* roboto-500italic - latin_latin-ext */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Roboto';
  font-style: italic;
  font-weight: 500;
  src: url('../fonts/roboto-v51-latin_latin-ext-500italic.woff2') format('woff2'), /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
       url('../fonts/roboto-v51-latin_latin-ext-500italic.ttf') format('truetype'); /* Chrome 4+, Firefox 3.5+, IE 9+, Safari 3.1+, iOS 4.2+, Android Browser 2.2+ */
}

/* roboto-700 - latin_latin-ext */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Roboto';
  font-style: normal;
  font-weight: 700;
  src: url('../fonts/roboto-v51-latin_latin-ext-700.woff2') format('woff2'), /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
       url('../fonts/roboto-v51-latin_latin-ext-700.ttf') format('truetype'); /* Chrome 4+, Firefox 3.5+, IE 9+, Safari 3.1+, iOS 4.2+, Android Browser 2.2+ */
}

/* roboto-700italic - latin_latin-ext */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Roboto';
  font-style: italic;
  font-weight: 700;
  src: url('../fonts/roboto-v51-latin_latin-ext-700italic.woff2') format('woff2'), /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
       url('../fonts/roboto-v51-latin_latin-ext-700italic.ttf') format('truetype'); /* Chrome 4+, Firefox 3.5+, IE 9+, Safari 3.1+, iOS 4.2+, Android Browser 2.2+ */
}


html {
  box-sizing: border-box;
  scroll-behavior: smooth;
  overflow-x: hidden;
  width: 100%;
}

*,
*:before,
*:after {
  box-sizing: inherit;
}

body {
  margin: 0;
  color: #000000;
  background-color: #ffffff;
  font-family: "Roboto", sans-serif;
  font-size: 18px;
  line-height: 1.5;
  overflow-x: hidden;
}

a {
  color: #000000;
  text-decoration: none;
}

p {
  margin-top: 0;
  margin-bottom: 20px;
}

img,
video {
  max-width: 100%;
  height: auto;
  display: block;
}

h3 {
  text-align: center;
  font-weight: 700;
  font-size: 28px;
  margin: 0 0 40px 0;
  width: 100%;
}

.wir-suchen-mitarbeiter,
.press-section,
.function-section,
.team-section {
  padding: 60px 0;
}

.features-section,
.info-section,
.kommunal-section {
  background-color: #f8f8f8;
  padding: 60px 0;
}

.page-wrapper {
  margin: 0 auto;
  width: 100%;
  max-width: 1200px;
  padding: 0 20px;
}

.page-header {
  background: linear-gradient(to bottom, #ffe900 300px, transparent 300px);
  position: relative;
}

.page-title {
  padding: 60px 0 0 0;
  font-size: 36px;
  font-weight: 400;
  line-height: 53px;
  color: #4d4d4f;
  text-align: left;
  width: 100%;
  margin: 0 auto;
}

.header-banner {
  width: 100%;
  max-width: 1200px;
  display: block;
  margin: 15px auto 0;
}

.wir-suchen-mitarbeiter .page-wrapper {
  display: grid;
  grid-template-columns: 1fr 3fr;
  grid-template-rows: auto auto;
  gap: 20px 100px;
}

.wir-suchen-mitarbeiter .image {
  grid-column: 1;
  grid-row: 1 / span 2;
  align-self: start;
  max-width: 90%;
}

.wir-suchen-mitarbeiter .section-title {
  grid-column: 2;
  grid-row: 1;
  text-align: left;
  margin: 0;
  font-size: 28px;
  align-self: end;
}

.wir-suchen-mitarbeiter .positionen {
  grid-column: 2;
  grid-row: 2;
  list-style: none;
  padding: 0;
  margin: 0;
  display: flex;
  gap: 40px;
  align-self: start;
}

.wir-suchen-mitarbeiter .button {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 300px;
  max-width: 100%;
  height: 66px;
  font-size: 22px;
  font-weight: 700;
  color: #ffffff;
  background-color: #4d4d4f;
  transition: background-color 0.2s ease;
}

.wir-suchen-mitarbeiter .button:hover {
  text-decoration: underline;
  background-color: #333333;
}

.slideshow-wrapper {
  display: grid;
  grid-template-columns: auto 1fr;
  gap: 40px;
  align-items: start;
}

.icon-bar {
  display: flex;
  flex-direction: column;
  gap: 20px;
  padding-top: 20px;
}

.icon-btn {
  background: transparent;
  border: none;
  border-radius: 50%;
  cursor: pointer;
  padding: 8px;
  transition: background-color 0.3s;
}

.icon-btn img {
  width: 45px;
  height: 45px;
}

.icon-btn.active {
  background-color: #ffe900;
}

.slideshow-container {
  position: relative;
  width: 100%;
}

.mySlides {
  display: none;
}

.mySlides[style*="display: block"],
.mySlides.active {
  display: grid !important;
  grid-template-columns: 1fr 350px;
  gap: 30px;
  align-items: start;
  width: 100%;
}

.slideshow-container img,
.slideshow-container video {
  width: 100%;
  height: 520px;
  object-fit: contain;
}

.sidebar {
  display: flex;
  flex-direction: column;
  gap: 15px;
  padding: 25px;
  height: 520px;
  overflow-y: auto;
}

.sidebar-caption {
  font-size: 24px;
  font-weight: 700;
  margin-bottom: 5px;
}

.sidebar-text {
  font-size: 20px;
  color: #333;
}

.download-link {
  grid-column: 1;
  margin-top: 50px;
  width: 400px;
  max-width: 100%;
  height: auto;
  display: inline-flex;
  align-items: center;
  justify-content: center;
  background-color: #4d4d4f;
  color: white;
  font-weight: 700;
  transition:
    background-color 0.3s,
    color 0.3s;
  border: 1px solid #aaa;
  padding: 5px 10px 5px 5px;
}

.download-link img {
  margin: 0 10px 0 5px;
}
.download-link:hover {
  background-color: #cccccc;
  color: black;
}

.prev,
.next {
  cursor: pointer;
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  padding: 16px;
  color: white;
  font-weight: 700;
  font-size: 24px;
  transition: 0.3s ease;
  user-select: none;
  z-index: 10;
  background: rgba(0, 0, 0, 0.4);
}

.prev {
  left: 0;
}

.next {
  right: 380px;
}

.container {
  display: flex;
  flex-direction: column;
  gap: 20px;
  width: 100%;
}

.row {
  display: flex;
  justify-content: center;
  gap: 20px;
  flex-wrap: wrap;
}

.box {
  width: 340px;
  max-width: 100%;
  height: 70px;
  background-color: #cccccc;
  display: flex;
  justify-content: center;
  align-items: center;
  border: 1px solid #aaa;
  box-shadow: 2px 2px 5px rgba(0, 0, 0, 0.1);
  color: #333;
  font-size: 16px;
  font-weight: 700;
  transition:
    background-color 0.3s,
    color 0.3s;
  text-align: center;
  padding: 10px;
}

.box:hover {
  background-color: #666666;
  color: #ffffff;
}

.grid-container {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 40px;
}

.inner-grid {
  display: grid;
  grid-template-columns: auto 1fr;
  align-items: start;
  gap: 10px 25px;
}

.grid-image {
  grid-column: 1;
  grid-row: 1 / span 2;
  background-color: #ffe900;
  border-radius: 50%;
  padding: 15px;
  width: 70px;
  height: 70px;
  margin-top: 5px;
}

.grid-headline {
  grid-column: 2;
  grid-row: 1;
  margin: 0;
  font-size: 22px;
  font-weight: 700;
  text-align: left;
}

.grid-text {
  grid-column: 2;
  grid-row: 2;
  margin: 0;
  font-size: 16px;
  text-align: left;
}

.function-section {
  background-color: #fff;
}

.container-2 {
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.text-section {
  flex: 1.2;
}

.container-2 img {
  flex: 0.8;
  max-width: 100%;
  height: auto;
}

.bullet {
  display: flex;
  align-items: flex-start;
  gap: 20px;
  margin-bottom: 25px;
}

.dot {
  width: 25px;
  height: 25px;
  background-color: #ffe900;
  border-radius: 50%;
  flex-shrink: 0;
  margin-top: 4px;
}

.bullet p {
  margin: 0;
  font-size: 16px;
  text-align: left;
}

.slideshow-container-2 {
  position: relative;
  width: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
  padding: 0 70px;
}

.slide {
  display: flex;
  justify-content: center;
  gap: 20px;
  flex-wrap: nowrap;
  width: 100%;
}

.prev-1,
.next-1 {
  position: absolute;
  top: 17%;
  width: 50px;
  height: 50px;
  background: #3d3d3d;
  border-radius: 50%;
  box-shadow: 3px 3px 10px rgba(0, 0, 0, 0.3);
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 24px;
  color: #ffe900;
  border: none;
  cursor: pointer;
  z-index: 10;
  padding-bottom: 3px;
}

.prev-1 {
  left: 0;
}
.next-1 {
  right: 0;
}

.dots-1 {
  display: flex;
  justify-content: center;
  gap: 10px;
  margin-top: 30px;
}

.dot-1 {
  width: 12px;
  height: 12px;
  background: grey;
  border-radius: 50%;
  cursor: pointer;
  transition: background-color 0.3s;
}
.dot-1.active {
  background: #ffe900;
}

.kommunal-box {
  width: 280px;
  max-width: 100%;
  height: 100px;
  background-color: #ffffff;
  display: flex;
  justify-content: center;
  align-items: center;
  border: 1px solid #aaa;
  color: #333;
  font-size: 18px;
  font-weight: 700;
  text-align: center;
  padding: 10px;
  box-shadow:
    2px 2px 5px rgba(0, 0, 0, 0.1),
    0px 4px 0px var(--box-color);
  transition: all 0.3s ease;
}

.kommunal-box:hover {
  background-color: var(--box-color);
  color: #fff;
}

.box-1 {
  --box-color: #6bb330;
}
.box-2 {
  --box-color: #cc1600;
}
.box-3 {
  --box-color: #0070b5;
}
.box-4 {
  --box-color: #e62b09;
}
.box-5 {
  --box-color: #0a67a6;
}
.box-6 {
  --box-color: #000033;
}
.box-7 {
  --box-color: #cc0000;
}
.box-8 {
  --box-color: #277c1f;
}

.item-container {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 100px;
  flex-wrap: wrap;
}

.team-section .item {
  display: flex;
  align-items: center;
  gap: 20px;
  min-width: 300px;
  max-width: 100%;
}

.team-image {
  background-color: #ffe900;
  border-radius: 50%;
  padding: 15px;
  width: 70px;
  height: 70px;
  object-fit: cover;
}

.team-text {
  margin: 0;
  font-weight: 700;
  font-size: 20px;
  text-align: center;
}

.footer-section {
  color: #ffffff;
  background-color: #4d4d4f;
  padding: 40px 60px;
}

.page-footer {
  display: flex;
  justify-content: space-between;
  align-items: center;
  flex-wrap: wrap;
  gap: 20px;
  padding: 0px 60px;
  max-width: 1200px;
}

.page-footer a {
  color: white;
}

.page-footer a:hover {
  text-decoration: underline;
}

.modal-dialog {
  position: fixed;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  background: rgba(0, 0, 0, 0.8);
  z-index: 99999;
  opacity: 0;
  pointer-events: none;
  display: none;
  transition: opacity 0.3s ease;
  overflow-y: auto;
  padding: 40px 20px;
}

.modal-dialog:target {
  opacity: 1;
  pointer-events: auto;
  display: flex;
  align-items: flex-start;
  justify-content: center;
}

.modal-dialog > section {
  width: 100%;
  max-width: 800px;
  position: relative;
  padding: 50px 30px 30px 30px;
  background: #fff;
  margin: auto;
  box-shadow: 0 4px 20px rgba(0, 0, 0, 0.5);
}

.modal-dialog .close {
  background: #e5e5e5;
  color: #4d4d4f;
  line-height: 40px;
  position: absolute;
  right: -12px;
  top: -12px;
  width: 40px;
  height: 40px;
  text-align: center;
  font-weight: 700;
  border-radius: 50%;
  text-decoration: none;
  z-index: 100000;
}

.modal-dialog .close:hover {
  background: #f49e00;
  color: #fff;
}

.disclaimer h3 {
  text-align: left;
  margin-bottom: 15px;
}

.disclaimer p {
  margin-bottom: 40px;
}

@media (max-width: 1200px) {
  .slideshow-wrapper {
    grid-template-columns: auto 679px;
    justify-content: center;
  }

  .icon-bar {
    display: flex;
    flex-direction: column;
    gap: 20px;
    padding-top: 20px;
  }

  .slideshow-container,
  .slideshow-container img,
  .slideshow-container video {
    width: 679px;
    max-width: 100%;
  }

  .mySlides[style*="display: block"],
  .mySlides.active {
    display: flex !important;
    flex-direction: column;
    gap: 20px;
  }

  .prev {
    left: 0;
    top: 260px;
  }

  .next {
    right: 0;
    top: 260px;
  }

  .sidebar {
    height: auto;
    padding: 25px 0;
  }

  .brochure-download {
    display: flex;
    width: 100%;
    max-width: 784px;
    margin: 30px auto 0 auto;
  }

  .download-link {
    margin-top: 0;
  }

  .container-2 {
    flex-direction: column;
    text-align: center;
  }

  .slide {
    flex-wrap: wrap;
  }

  .prev-1,
  .next-1 {
    top: 33%;
  }
}

@media (max-width: 992px) {
  .wir-suchen-mitarbeiter .section-title {
    font-size: 24px;
  }

  .wir-suchen-mitarbeiter .button {
    width: 200px;
    height: 50px;
    font-size: 18px;
  }

  .slideshow-wrapper {
    grid-template-columns: 1fr;
    justify-items: center;
  }

  .icon-bar {
    flex-direction: row;
    justify-content: center;
    flex-wrap: wrap;
    gap: 35px;
    padding-top: 0;
  }

  .slideshow-container {
    margin: 0 auto;
  }

  .sidebar {
    text-align: left;
  }
}

@media (max-width: 768px) {
  body {
    font-size: 16px;
  }

  .page-title {
    font-size: 28px;
    line-height: 38px;
    padding: 40px 0 0 0;
  }

  .page-title:after {
    height: 300px;
  }

  .slideshow-container {
    width: 100%;
    max-width: 679px;
  }
  .wir-suchen-mitarbeiter .page-wrapper {
    grid-template-columns: 1fr;
    gap: 30px;
    justify-content: flex-start;
    width: 470px;
    max-width: 100%;
  }

  .wir-suchen-mitarbeiter img {
    display: none;
  }

  .wir-suchen-mitarbeiter .section-title {
    grid-column: 1;
    grid-row: 1;
    text-align: justify;
    align-self: center;
    font-size: 22px;
  }

  .wir-suchen-mitarbeiter .positionen {
    grid-column: 1;
    grid-row: 2;
    align-items: center;
    justify-content: center;
    align-self: center;
    gap: 30px;
  }

  .slideshow-container-2 {
    padding: 0;
  }

  .flex-container {
    flex-direction: column;
    text-align: center;
  }

  .slide {
    flex-direction: column;
    align-items: center;
  }

  .item-container {
    flex-direction: column;
    gap: 50px;
  }

  .page-footer {
    flex-direction: column;
    padding: 0 50px;
  }

  .grid-container {
    grid-template-columns: 1fr;
  }

  .icon-bar,
  .prev,
  .next,
  .prev-1,
  .next-1,
  .dots-1 {
    display: none !important;
  }

  .slideshow-container {
    display: flex;
    flex-direction: column;
    gap: 50px;
  }

  .mySlides,
  .mySlides[style*="display: block"] {
    display: flex !important;
    flex-direction: column-reverse;
    width: 100%;
    opacity: 1 !important;
  }

  .slideshow-container img,
  .slideshow-container video {
    height: auto;
  }

  .sidebar {
    padding-bottom: 15px;
    height: auto;
  }

  .sidebar-caption {
    font-size: 20px;
    margin-bottom: 8px;
  }

  .sidebar-text {
    font-size: 16px;
  }

  .brochure-download {
    margin-top: 40px;
  }

  .download-link {
    width: 100%;
    max-width: 400px;
  }
}

@media (max-width: 480px) {
  .wir-suchen-mitarbeiter .positionen {
    flex-direction: column;
    align-items: center;
  }

  .page-title {
    padding: 20px 0 0 0;
  }

  .wir-suchen-mitarbeiter .section-title {
    text-align: center;
  }

  .page-footer {
    padding: 0 20px;
  }

  .disclaimer h3 {
    font-size: 22px;
  }
}

@media (max-width: 360px) {
  body {
    -webkit-hyphens: auto;
    hyphens: auto;
    text-align: justify;
  }

  body a,
  h1,
  h2,
  h3 {
    word-break: break-all;
  }

  h3 {
    font-size: 24px;
  }

  .download-link {
    word-break: normal;
  }

  .team-image,
  .grid-image {
    width: 60px;
    height: 60px;
  }

  .team-text {
    font-size: 18px;
  }

  .page-footer {
    padding: 0;
  }

  .disclaimer h3 {
    font-size: 20px;
  }

  .footer-section {
    padding: 20px 30px;
  }

  .grid-text {
    grid-column: 1 / span 2;
    margin-top: 10px;
  }

  .grid-headline {
    min-height: 65px;
  }
}
